Install PyInotify:
  pkg.installed:
    - name: python3-pyinotify

Add the rfxcom433 beacon file:
  file.managed:
    - name: /etc/salt/minion.d/beacons.conf
    - source: salt://k3s/files/etc/salt/minion.d/beacons.conf
    - user: root
    - group: root
    - mode: "0644"

Restart salt-minion:
  service.running:
    - name: salt-minion
    - onchanges:
      - file: Add the rfxcom433 beacon file

Add the rfxcom udev rule:
  file.managed:
    - name: /etc/udev/rules.d/90-RFXtrx433.rules
    - source: salt://k3s/files/etc/udev/rules.d/90-RFXtrx433.rules
    - user: root
    - group: root
    - mode: "0644"

Add the zwave udev rule:
  file.managed:
    - name: /etc/udev/rules.d/90-zwave.rules
    - source: salt://k3s/files/etc/udev/rules.d/90-zwave.rules
    - user: root
    - group: root
    - mode: "0644"

reload udev rules:
  cmd.run:
    - name: udevadm control --reload
    - onchanges:
      - file: Add the rfxcom udev rule
      - file: Add the zwave udev rule
